import { useRef, useState } from "react"
import axios from "axios"
import { api } from ".."

export const PageInfo = () => {
    const fileRef = useRef<HTMLInputElement>(null)
    const [error, setError] = useState("没上传/没报错")
    const [disableBtn, setDisableBtn] = useState(false)

    return <div>
        <h1>
            总之如果你能看到这里说明你登陆成功了，下面是你的账号信息: Key（别发给别人）={window.sessionStorage.getItem('identifier')}, Textures={window.sessionStorage.getItem('textures')}, Username={window.sessionStorage.getItem('username')}, UUID={window.sessionStorage.getItem('uuid')}
        </h1>

        <h2>
            神马？你问我改密码？我懒得做，真要改找lama
        </h2>

        <h3>
            为什么这个页面成这个B样子了？因为我没时间做了，你就说能不能用吧
        </h3>

        <h4>
            登出？自己关了这个页面就登出了
        </h4>

        <input type="file" accept=".png" ref={fileRef}></input>
        <button disabled={disableBtn} onClick={() => {
            setDisableBtn(true)
            setError("正传着呢")
            const file = fileRef.current?.files?.[0]
            if(!file) {
                return setError("你选了个寄吧，服务端不接受你不选文件谢谢")
            }

            (async () => {
                const r = await axios({
                    method: 'put',
                    url: api('/api/textures/skin'),
                    data: file,
                    headers: {
                        'content-type': 'image/png',
                        'x-lsp-identifier': window.sessionStorage.getItem('identifier') as string
                    }
                })
                if(r.data.err !== 1.048596) {
                    return setError(`上传失败! 错误代码 ${r.data.err} 原因: ${r.data.msg}`)
                } else {
                    return setError("上传成功 msg=" + r.data.msg)
                }
            })().finally(() => {
                setDisableBtn(false)
            })
        }}>上传（皮肤）</button>
        <button disabled={disableBtn}>上传（披风）</button>

        <p>皮肤上传报错：{error}</p>
    </div>
}